<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML - forms, Tables and Semantic HTML</title>
	</head>

	<body>
		<!-- header tag is a semantic Tag  to inform new developer and client that this component is for the header of the web page -->
		<header>
			<h2 align="center">HTML Entities</h2>
		</header>

		<main>
			<!-- This section is for the HTML Table. -->
			<section>
				<p><em>Reserve characters in HTML (e.g. &lt; or &gt;) that can be mixed up with HTML code.</em></p>
				<table border ="2">
					<!-- thead tag is for the header of the table -->
					<thead>
						<!-- tr tag - defines a table row -->
						<!-- First row of our header -->
						<tr>
							<!-- tg tag - defines a table header element -->
						<!-- colspan attribute changes the amount of table columns a table element will occumpy -->
						<th colspan="2">Entity</th>
						<!-- rowspan attributes changes the amount of row  -->
						<th rowspan="2">Description</th>
						</tr>

						<!-- Second row of our header -->
						<tr>
							<th>Symbol</th>
							<th>Name/Number</th>
						</tr>
					</thead>
					<!-- tbody tag is for the body of the table -->
					<tbody>
						<!-- this is the first row -->
						<tr>
							<!-- td - used for columns of our tbody -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>

						<!-- This second row -->
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>

						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>Peso sign</td>
						</tr>

						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>

						<tr>
							<td>&quot;</td>
							<td>qout</td>
							<td>double quotation mark</td>
						</tr>

						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotationmark (apostrophe)</td>
						</tr>
						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>Lower Tilde</td>
						</tr>
						
						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>Upper Tilde</td>
						</tr>
					</tbody>
					<!-- tfoot tag is for the footer of the table -->	
					<tfoot>
						<tr>
							<th colspan="3">Lits of Entities</th>
							
						</tr>
						
					</tfoot>
				</table>

				<section>
					<!-- This section is for HTML Form -->
					<section>
						<h2 align="center">HTML FOrm</h2>
						<p><em>Input elements that make up a form.</em></p>

						<form>
							<!-- Text input -->
							<!-- lable tag creates a text element that serve as the label for the input field. -->
							<!-- type attribute define what type of information input field should be -->
							<!-- for attribute used w/ the id  is used with the id attributes in an input element. This allows users to click the label to type thier response-->
							<!-- name attribute  - it tells  the databae/api where the value collected from  -->
							<label for="fullname">Full Name:</label> <br>
							<input type="text" name="fullname" id="fullname" required autocomplete/><br/>

							<label for="birthdate">Birthday</label><br>
							<input type="date" name="birthdate" id="birthdate" required autocomplete/> <br>

							<label for="age">Age:</label><br>
							<input type="number" name="age" id="age" required autocomplete /><br>

							<!-- dropdown -->
							<label for="gender">Gender:</label><br>
								<select name="gender" id="gender"><br>
									<option value="male">Male</option>
									<option value="female">Female</option>
								</select>

							<!-- text area -->
							<label for="suggestion">Suggestion:</label> <br>
							<textarea name="Suggestion" rows="5" cols="5" id="suggestion"></textarea><br>

							<!-- radio button -->
							<label>Civil Status</label><br>
							<input type="radio" name="civilstatus" value="single" id="single" />
							<label for="single">Single</label><br>

							<input type="radio" name="civilstatus" value="married" id="married" />
							<label for="married">Married</label><br>

							<!-- Check Box -->
							<label>Job:</label><br>
							<input type="checkbox" name="job1" value="developer" id="developer" />
							<label for="developer">Developer</label><br>

							<input type="checkbox" name="job2" value="student" id="student" />
							<label for="student">Student</label><br>

							<input type="checkbox" name="job3" value="manager" id="manager" />
							<label for="manager">Manager</label><br>



							<button>Submit</button>
							<!-- typr reset value in type attribute will reset input of the user in the input fields. -->
							<button type="reset">Reset</button>
						</form>
						
					</section>
				</section>
			</section>
		</main>

	</body>
</html>